# GomokuRenderer
declaration: class: GomokuRenderer

# Class GomokuRenderer

java.lang.Object
GomokuRenderer

Direct Known Subclasses:
  `ConsoleRenderer`, `SwingRenderer`

public abstract class GomokuRenderer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GomokuGame`
`game`

## Constructor Summary

Constructors
Constructor
Description
`GomokuRenderer()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`init(GomokuGame game)`
`abstract void`
`update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### game

protected GomokuGame game

## Constructor Details

### GomokuRenderer

public GomokuRenderer()

## Method Details

### init

public abstract void init(GomokuGame game)

### update

public abstract void update()